"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var bump_exports = {};
__export(bump_exports, {
  bump: () => bump
});
module.exports = __toCommonJS(bump_exports);
var import_utils = require("../utils");
async function bump(options) {
  const { snapshot, canary, preid, ignore } = options;
  const params = [
    import_utils.CHANGESET_PATH,
    "version"
  ];
  if (snapshot) {
    params.push("--snapshot");
    if (typeof snapshot === "string") {
      params.push(snapshot);
    }
  }
  if (ignore) {
    ignore.forEach((pkg) => {
      params.push("--ignore");
      params.push(pkg);
    });
  }
  if (canary) {
    await (0, import_utils.execaWithStreamLog)(process.execPath, [
      import_utils.CHANGESET_PATH,
      "pre",
      "enter",
      preid || "next"
    ]);
    try {
      await (0, import_utils.execaWithStreamLog)(process.execPath, params);
      await (0, import_utils.execaWithStreamLog)(process.execPath, [
        import_utils.CHANGESET_PATH,
        "pre",
        "exit"
      ]);
    } catch (e) {
      await (0, import_utils.execaWithStreamLog)(process.execPath, [
        import_utils.CHANGESET_PATH,
        "pre",
        "exit"
      ]);
    }
  } else {
    await (0, import_utils.execaWithStreamLog)(process.execPath, params);
  }
}
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  bump
});
